# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate flate2

Name:           rust-%{crate}
Version:        1.0.2
Release:        1%{?dist}
Summary:        DEFLATE compression and decompression exposed as Reader/Writer streams

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/flate2
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(futures) >= 0.1.0 with crate(futures) < 0.2.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(libz-sys) >= 1.0.0 with crate(libz-sys) < 2.0.0)
BuildRequires:  (crate(miniz-sys) >= 0.1.7 with crate(miniz-sys) < 0.2.0)
BuildRequires:  ((crate(miniz_oxide_c_api) >= 0.1.0 with crate(miniz_oxide_c_api) < 0.2.0) with crate(miniz_oxide_c_api/no_c_export))
BuildRequires:  (crate(tokio-io) >= 0.1.0 with crate(tokio-io) < 0.2.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(quickcheck) >= 0.6.0 with crate(quickcheck) < 0.7.0)
BuildRequires:  (crate(rand) >= 0.5.0 with crate(rand) < 0.6.0)
BuildRequires:  (crate(tokio-core) >= 0.1.0 with crate(tokio-core) < 0.2.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Bindings to miniz.c for DEFLATE compression and decompression exposed as
Reader/Writer streams. Contains bindings for zlib, deflate, and gzip-based
streams.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%changelog
* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Initial package
